POST api/NTSetting/PostTreatment

Request Information

URI Parameters

None.

Body Parameters

TreatmentDTO
NameDescriptionTypeAdditional information
Id

integer

None.

Name

string

String length: inclusive between 0 and 50

Sequence

integer

None.

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "Id": 1,
  "Name": "sample string 2",
  "Sequence": 3,
  "ValidFlag": true,
  "DateCreated": "2026-06-20T12:47:02.8188788-07:00",
  "DateUpdated": "2026-06-20T12:47:02.8188788-07:00",
  "UserIDCreated": 7,
  "UserIDUpdated": 8,
  "CompanyCode": "sample string 9",
  "IsExcludeDiscount": true
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfTreatmentDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

TreatmentDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "Id": 1,
    "Name": "sample string 2",
    "Sequence": 3,
    "ValidFlag": true,
    "DateCreated": "2026-06-20T12:47:02.8188788-07:00",
    "DateUpdated": "2026-06-20T12:47:02.8188788-07:00",
    "UserIDCreated": 7,
    "UserIDUpdated": 8,
    "CompanyCode": "sample string 9",
    "IsExcludeDiscount": true
  },
  "totalCount": 3
}